<form name="editForm" role="form" novalidate (ngSubmit)="pushData()" #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title">Pilih Tanda Terima</h6>
        <div>
            <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
                label="{{'entity.action.cancel' | translate}}" icon="fa-ban" class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" label="{{'entity.action.select' | translate}}" icon="fa-save"
                class="ui-button-primary flat-label-button" [disabled]="isDisable">
            </button>
        </div>
    </div>
    <div class="modal-body">
        <p-dataTable [value]="details" [editable]="false" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
            [rowsPerPageOptions]="[20,50,100]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
            [(selection)]="selected" dataKey="iddetreceipt" (onLazyLoad)="loadDataLazy($event)" [(first)]="first"
            (onRowSelect)="onRowSelect($event)" (onRowUnselect)="onRowUnselect($event)">
            <p-header>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="Cari Nomor Tanda Terima">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)"
                            *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()"
                            *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </p-header>
            <p-column selectionMode="single" [style]="{'width':'30px'}"></p-column>
            <p-column header="No" [style]="{'width': '35px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor Tanda Terima">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.receiptno}}
                </ng-template>
            </p-column>
            <p-column header="No Urut Tanda Terima" *ngIf="idInternal === 'PBL'">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nourut}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtreceipt | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="nomor Faktur">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.invno}}
                </ng-template>
            </p-column>
            <p-column header="Faktur Pajak">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.invtaxno}}
                </ng-template>
            </p-column>
            <p-column header="Supplier">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nmsupplier}}
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}" icon="fa-ban" class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" label="{{'entity.action.select' | translate}}" icon="fa-save"
            class="ui-button-primary flat-label-button" [disabled]="isDisable">
        </button>
    </div>
</form>